<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Tagihan Prodi</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Bill </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col-md-2">
                                <h3 class="mb-0">Prodi : <div th:text="${prodi.namaProdi}"></div></h3>
                            </div>
                            <div class="col pull-right">
                                <div class="row">
                                    <div class="col-md-12 col-xs-12 col-sm-12">
                                        <button type="button" class="btn btn-success btn-sm"><a class="text-white pull-left" th:href="@{/billReport/permahasiswa/prodi(prodi=${prodi.id}, tahun=${tahun.id})}"><i class="fas fa-download"> </i> Download</a></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/studentBill/billAdmin/list(tahunAkademik=${tahun.id})}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-shadow">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-responsive">
                                        <table id="data-table-basic" class="table align-items-center table-flush table-striped">
                                            <thead class="thead-light">
                                            <tr>
                                                <th >#</th>
                                                <th>Angkatan</th>
                                                <th>Nim</th>
                                                <th>Nama</th>
                                                <th>Tagihan</th>
                                                <th>Dibayar</th>
                                                <th>Sisa</th>
                                                <th>Status Mahasiswa</th>
                                                <th>Program Mahasiswa</th>
                                                <th>Beasiswa</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="data, row:${tagihanProdi}">
                                                <td th:text="${(row.index + 1)}">1</td>
                                                <td th:text="${data[2]}"></td>
                                                <td>
                                                    <a class="text-black-50" th:href="@{/studentBill/billAdmin/list(tahunAkademik=${tahun.id}, nim=${data[3]})}" th:text="${data[3]}"></a>
                                                </td>
                                                <td>
                                                    <a class="text-black-50" th:href="@{/studentBill/billAdmin/list(tahunAkademik=${tahun.id}, nim=${data[3]})}" th:text="${data[4]}"></a>
                                                </td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[5], 0, 'POINT', 2, 'COMMA')}"></td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[6], 0, 'POINT', 2, 'COMMA')}"></td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[7], 0, 'POINT', 2, 'COMMA')}"></td>
                                                <td>

                                                    <a  class="btn btn-info btn-sm" href="#!"
                                                        th:if="${data[8]} == 'AKTIF'"
                                                        th:text="AKTIF">
                                                    </a>

                                                    <a type="button" class="btn btn-success btn-sm" href="#!"
                                                       th:if="${data[8]} == 'LULUS'"
                                                       th:text="LULUS">
                                                    </a>

                                                    <a type="button" class="btn btn-danger ger btn-sm" href="#!"
                                                       th:if="${data[8]} == 'KELUAR'"
                                                       th:text="KELUAR">
                                                    </a>

                                                    <a type="button" class="btn btn-danger ger btn-sm" href="#!"
                                                       th:if="${data[8]} == 'NONAKTIF'"
                                                       th:text="NONAKTIF">
                                                    </a>

                                                    <a type="button" class="btn btn-danger ger btn-sm" href="#!"
                                                       th:if="${data[8]} == 'MENGUNDURKAN_DIRI'"
                                                       th:text="MENGUNDURKAN_DIRI">
                                                    </a>

                                                    <a type="button" class="btn btn-warning btn-sm" href="#!"
                                                       th:if="${data[8]} == 'CUTI'"
                                                       th:text="CUTI">
                                                    </a>
                                                </td>
                                                <td>
                                                    <button type="button" class="btn btn-info btn-sm" th:text="${data[9]}"></button>
                                                </td>
                                                <td>
                                                    <button type="button" class="btn btn-primary btn-sm" th:if="${data[10] != '-'}" th:text="${data[10]}"></button>
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>